
module.exports = new Class({
	Extends: Htk.Column
	,Tag: 'htk-column-radio'
	,Properties: {
		param:{
			type: Vn.Param
			,set(x) {
				this.radioGroup.master = x;
			}
		}
	}

	,initialize(props) {
		this._cssClass = 'cell-radio';
		this.radioGroup = new Htk.RadioGroup(this.doc);
		Htk.Column.prototype.initialize.call(this, props);
	}

	,render(tr) {
		var td = Htk.Column.prototype.render.call(this, tr);

		var radio = this.radioGroup.createButton(this.value);
		td.appendChild(radio);

		return td;
	}
	
	,clear() {
		this.radioGroup.clear();
	}
});
